.header {
  background-color: var(--color-blue-gray);
}

.path-frontpage .header {
  background-color: transparent;
  position: absolute;
  width: 100%;
  z-index: 1;
}

.header .logo-fill {
  fill: var(--color-white);
}

.header__container {
  padding: 16px 24px;

  @media (min-width: 768px) {
    display: flex;
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
  }
}

.header__util {
  @media (min-width: 768px) {
    width: 90%;
    max-width: 1200px;
    padding: 24px 24px 0;
    margin: 0 auto;
  }
}

.block-system-branding-block {
  max-width: 180px;

  @media (min-width: 768px) {
    margin-right: 20px;
  }
}

.site-logo {
  display: block;

  img {
    display: block;
    width: 180px;
  }
}

.region-header {
  @media (min-width: 768px) {
    display: flex;
    align-items: center;
    width: 100%;
  }
}

.site-logo {
  display: block;
  max-width: 200px;
}

.region-header .navigation.menu--main {
  display: none;

  @media (min-width: 768px) {
    display: flex;
    margin-left: auto;
  }
}

.region-header-util {
  display: none;

  @media (min-width: 768px) {
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
}

/* Hide contextual links as there is not enough space */
.region-header-util .contextual {
  display: none;
}

.region-header-util .menu-account {
  display: flex;
  align-items: center;
  padding: 4px 10px;
  text-align: center;
  margin-right: 8px;
  border-radius: 15px;
  border: 1px solid var(--color-white);
}

.region-header-util .menu--account .menu-item {
  display: inline-flex;

  &:first-child {
    margin-right: 8px;
  }
}

.region-header-util .menu--account .menu-item a {
  display: block;
  text-transform: uppercase;
  font-size: 12px;
  white-space: nowrap;
  color: var(--color-white);

  &:hover {
    color: var(--color-brand-100);
  }
}

/* Mobile Nav Toggle */
.menu-toggle {
  position: absolute;
  top: 20px;
  right: 24px;
  width: 48px;
  height: 48px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
  background: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
  z-index: 1;

  @media (min-width: 768px) {
    display: none;
  }
}

.toolbar-icon-11:not(.path-frontpage) .menu-toggle {
  top: 70px;
}

.menu-toggle span {
  display: block;
  height: 4px;
  background: var(--color-white);
  border-radius: 4px;
  transition: 0.3s ease;
}

.menu-toggle span:nth-child(1),
.menu-toggle span:nth-child(3) {
  width: 28px;
}

.menu-toggle span:nth-child(2) {
  width: 20px;
}

/* Header Main Nav */
.region-header .navigation ul.menu-main {
  display: flex;
  justify-content: space-between;
}

.region-header .menu-main .menu-item {
  display: block;
  margin-left: 20px;
  white-space: nowrap;
}

.region-header .menu-main .menu-item a {
  position: relative;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 700;
  color: var(--color-white);

  &:after {
    display: block;
    content: "";
    width: 40px;
    margin: 0 auto;
    padding-bottom: 6px;
    border-bottom: 3px solid var(--color-brand-500);
    transform: scaleX(0);
    transition: transform 250ms ease-in-out, padding 0.25s ease-in;
  }

  &:hover {
    &:after {
      transform: scaleX(1);
    }
  }

  &.is-active {
    text-decoration: none;

    &:after {
      transform: scaleX(1);
    }
  }
}
